

% gamma = 9
f   = inline('cosh(x)-cos(x)-1-9');
df  = inline('sinh(x)+sin(x)');
d2f = inline('cosh(x)+cos(x)');


figure(1);
fplot(f,[-1,5]);
grid

% trovato intervallo [0,2]
% scelgo il punto di partenza 2 perche' ...
a = 0;
b = 5;
if (df((a+b)/2)*d2f((a+b)/2))>0
    x0 = b;
else
    x0 = a;
end
% x0      = 2;
toll    = 1e-10;
maxiter = 10000;

% eseguo Newton
[x,hist] = newton(f,df,x0,toll,maxiter);

% disegno traiettoria del metodo di Newton
hold on;
% linee tangenti
for i=1:length(hist.x)-1
    h=line(hist.x(i:i+1),[hist.f(i),0]);
    set(h,'Color','r');
end
% linee verticali
for i=2:length(hist.x)-1
    h=line([hist.x(i),hist.x(i)],[0,hist.f(i)]);
    set(h,'Color','r','LineStyle','--');
end
hold off;

