clear all
clc

% funzione
f = inline('x.^3+1');

% derivata calcolata in modo esatto
fd = inline('3*x.^2');

% % derivata calcolata in modo approssimato
% fa = inline('(((x+h).^3+1)-((x).^3+1))./(h)','x','h');
fa2 = inline('(f(x+h)-f(x))./h','f','x','h');

h = logspace(0,-14,15);

xval  = 1;

%val1 = fd(xval)*ones(1,15);
val1 = repmat(fd(xval),1,15);

%val2 = fa(xval,h);
val2 = fa2(f,xval,h);

% errore assoluto
ea = abs(val1-val2);

% minimo valore assoluto
[eamin,eaind] = min(ea);


% x = linspace(0,10);
% y = fd(x);
% figure(1);
% plot(x,y,'o-')
