function [xk,hist] = gradiente(A,b,x0)
% Implementa il metodo del gradiente

tol = 1e-8;
errore = tol+1;

xk = x0;

normb = norm(b);
if normb<tol
   normb = 1.0;
end

hist = xk;
iter = 0;
while errore> tol
   iter = iter+1;
   disp(['#iter: ',num2str(iter)]);
   % A*xk
   % yk = A*xk
   % residuo
   rk = b-A*xk;
   
   % alpha
   alphak = rk'*rk/(rk'*A*rk);
   
   % aggiorno x
   xk = xk+alphak*rk;
   
   % errore
   errore = norm(rk)/normb;
   hist = [hist,xk];
end
