close all
clear all
clc

% funzione
a  = 1e-10;
f  = inline([num2str(a),'-1./x'],'x');
df = inline('1./(x.^2)','x');

% figure(1);
% fplot(f,[1,10]);
% 

x0      = a;
toll    = 1e-12;
maxiter = 10000;

% eseguo Newton
[x,hist] = newton(f,df,x0,toll,maxiter);

% calcolo errore
err = abs(hist.x-hist.x(end));
% visualizzo errore in base alle iterazioni
%plot(err);
semilogy(err);




