clear all
clc


f1 = inline('sqrt(x+d)-sqrt(x)','x','d');
f2 = inline('d./(sqrt(x+d)+sqrt(x))','x','d');

d = 1e-10;
x = linspace(1,1.0001,1000);
y1 = f1(x,d);
y2 = f2(x,d);

figure(1);
plot(x,y1,'b--',x,y2,'k-');
